ECHO OFF
ECHO              Capital Gainz Data/Index Resynchronization
ECHO.
ECHO It's very important to maintain matching Capital Gainz data (*.DAT)
ECHO and index (*.K01) files. This should not be a problem, unless:
ECHO you copy/restore only data or index files; a hard drive failure
ECHO or other application corrupts a data/index file; a disk cache fails.
ECHO Also, if you turn off your PC while Capital Gainz is running, or
ECHO sometimes immediately after you exit, the disk cache may not have
ECHO time to flush its contents to disk. You can usually force the cache
ECHO to be flushed. For instance, use this command with SMARTDRV:
ECHO    SMARTDRV /C
ECHO If index/data files are out-of-sync, you'll see some strange results,
ECHO such as records out of order or records just added not showing up
ECHO in tables. This is only a serious problem if you continue to record
ECHO data. This simple batch file deletes the index files, and they are
ECHO rebuilt from the data files the next time your run Capital Gainz.
ECHO This batch file has no adverse effects.
ECHO.
ECHO Resync data/index files ? [Y/N]
YESNO
IF ERRORLEVEL 2 GOTO END
REM Save password file - it's not rebuilt.
COPY PASSWD.K01 PASSWD.SAV
DEL *.K01
COPY PASSWD.SAV PASSWD.K01
ECHO                    Resynchronization Complete!
ECHO Execute Capital Gainz to rebuild the index files.
:END

